import { HorizontalAnchoredCategorySeries } from "./HorizontalAnchoredCategorySeries";
import { Series } from "./Series";
import { SeriesView } from "./SeriesView";
import { Type, Point } from "igniteui-angular-core";
import { MarkerFillMode } from "./MarkerFillMode";
import { Rect } from "igniteui-angular-core";
import { List$1 } from "igniteui-angular-core";
import { ChartSelection } from "./ChartSelection";
import { SeriesSelectionBehavior } from "./SeriesSelectionBehavior";
import { AnchoredCategorySeriesView } from "./AnchoredCategorySeriesView";
/**
 * @hidden
 */
export declare class PointSeries extends HorizontalAnchoredCategorySeries {
    static $t: Type;
    protected bk(): Series;
    protected get_ek(): boolean;
    protected ct(): SeriesView;
    ac8: PointSeriesView;
    q7(a: SeriesView): void;
    constructor();
    protected jo(): number;
    xb(): MarkerFillMode;
    gx(a: Point, b: boolean): boolean;
    protected rg(a: any, b: string, c: any, d: any): void;
    qa(a: Rect, b: List$1<ChartSelection>, c: SeriesSelectionBehavior): void;
    ak(a: Rect, b: SeriesSelectionBehavior): ChartSelection[];
    get useHighMarkerFidelity(): boolean;
}
/**
 * @hidden
 */
export declare class PointSeriesView extends AnchoredCategorySeriesView {
    static $t: Type;
    protected dt: PointSeries;
    constructor(a: PointSeries);
    a4(): void;
    protected an(): void;
}
